polybori::CCallbackFacade< Type, ResultType, ArgType > Class Template Reference

Variant for constant non-void member functions. More...

`#include <CCallbackWrapper.h>`

## Public Member Functions

ResultType | operator() (ArgType arg) const
| Apply member function pointer to argument. More...

## Detailed Description

### template<class Type, class ResultType, class ArgType>
class polybori::CCallbackFacade< Type, ResultType, ArgType >

Variant for constant non-void member functions.

This template class defines a facade for applying operator ``.* in `operator()` .

If applies a stored member function pointer (together with a stored object reference) to the argument of operator().

It is to be used as a face of `Type`, e. g. for `CCallbackWrapper` below.

Note
  Specialized variant to void member functions

Attention
  Currently, the class supports unary functions only.

## Member Function Documentation

template<class Type, class ResultType, class ArgType>

ResultType polybori::CCallbackFacade< Type, ResultType, ArgType >::operator() | ( | ArgType | arg) |  | const

inline

Apply member function pointer to argument.

The documentation for this class was generated from the following file:

- CCallbackWrapper.h